extends HBoxContainer
var start_pos: Vector2

func _ready() -> void:
	start_pos = self.position
	self.position = Vector2(1000.0,1000.0)
	GameManager.state_changed.connect(on_state_changed)

func on_state_changed():
	if GameManager.current_state == GameManager.GameState.PLAYER1_UNLOAD:
		self.position = start_pos
